ReferenceItem lists
VAT rates
GET
Bearerheader
AuthorizationBearer <token>OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.
application/json- response
[index: integer]?curl -X GET 'https://<your-instance>/api/item-lists/vat-rates' \ -H 'Authorization: Bearer <access-token>'[ { "coefficient": 0, "id": 0, "isInactive": true, "name": "string", "validFrom": "2019-08-24T14:15:22Z", "validTo": "2019-08-24T14:15:22Z", "vatRate": 0 }]POST
Bearerheader
AuthorizationBearer <token>OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.
application/json- body
coefficient?|Format
decimalid?integerFormat
int32isInactive?boolean|nullname?|Length
length <= 50validFrom?|Format
date-timevalidTo?|Format
date-timevatRate?|Format
decimalapplication/json- response
coefficient?|Format
decimalid?integerFormat
int32isInactive?boolean|nullname?|Length
length <= 50validFrom?|Format
date-timevalidTo?|Format
date-timevatRate?|Format
decimalcurl -X POST 'https://<your-instance>/api/item-lists/vat-rates' \ -H 'Authorization: Bearer <access-token>' \ -H 'Content-Type: application/json' \ -d '{}'{ "coefficient": 0, "id": 0, "isInactive": true, "name": "string", "validFrom": "2019-08-24T14:15:22Z", "validTo": "2019-08-24T14:15:22Z", "vatRate": 0}GET
Bearerheader
AuthorizationBearer <token>OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.
id*integerFormat
int32application/json- response
coefficient?|Format
decimalid?integerFormat
int32isInactive?boolean|nullname?|Length
length <= 50validFrom?|Format
date-timevalidTo?|Format
date-timevatRate?|Format
decimalcurl -X GET 'https://<your-instance>/api/item-lists/vat-rates/0' \ -H 'Authorization: Bearer <access-token>'{ "coefficient": 0, "id": 0, "isInactive": true, "name": "string", "validFrom": "2019-08-24T14:15:22Z", "validTo": "2019-08-24T14:15:22Z", "vatRate": 0}PATCH
Bearerheader
AuthorizationBearer <token>OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.
id*integerFormat
int32application/json- body
coefficient?|Format
decimalid?integerFormat
int32isInactive?boolean|nullname?|Length
length <= 50validFrom?|Format
date-timevalidTo?|Format
date-timevatRate?|Format
decimalapplication/json- response
coefficient?|Format
decimalid?integerFormat
int32isInactive?boolean|nullname?|Length
length <= 50validFrom?|Format
date-timevalidTo?|Format
date-timevatRate?|Format
decimalcurl -X PATCH 'https://<your-instance>/api/item-lists/vat-rates/0' \ -H 'Authorization: Bearer <access-token>' \ -H 'Content-Type: application/json' \ -d '{}'{ "coefficient": 0, "id": 0, "isInactive": true, "name": "string", "validFrom": "2019-08-24T14:15:22Z", "validTo": "2019-08-24T14:15:22Z", "vatRate": 0}DELETE
Bearerheader
AuthorizationBearer <token>OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.
id*integerFormat
int32curl -X DELETE 'https://<your-instance>/api/item-lists/vat-rates/0' \ -H 'Authorization: Bearer <access-token>'Empty